[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.Substring

Return a part of the string

## Declaration

Source position: syshelph.inc line 174

`public function TStringHelper.Substring(`
`AStartIndex: SizeInt`
`):string; overload; function TStringHelper.Substring(`
`AStartIndex: SizeInt;`
`ALen: SizeInt`
`):string; overload;`

## Description

SubString returns the portion of the string starting at (zero-based) index AStartIndex with length ALen. If ALen is omitted, then all remaining characters are returned.

## See also

TStringHelper.Insert |  | Insert a string at a given position
Copy |  | Copy part of a string.
TStringHelper.ToCharArray |  | Return the string as an array of characters.